com.jscape.util.reflection.types

## Enum PropertySheet.Type

- java.lang.Object
- - java.lang.Enum<PropertySheet.Type>
  - - com.jscape.util.reflection.types.PropertySheet.Type

- All Implemented Interfaces:
    PropertySheet.ValueType, java.io.Serializable, java.lang.Comparable<PropertySheet.Type>
  Enclosing class:
    PropertySheet

      public static enum PropertySheet.Type
      extends java.lang.Enum<PropertySheet.Type>
      implements PropertySheet.ValueType

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN`
    `NUMBER`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `static PropertySheet.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PropertySheet.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final PropertySheet.Type STRING

    - #### NUMBER

          public static final PropertySheet.Type NUMBER

    - #### BOOLEAN

          public static final PropertySheet.Type BOOLEAN

  - ### Method Detail

    - #### values

          public static PropertySheet.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertySheet.Type c : PropertySheet.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertySheet.Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `PropertySheet.ValueType`

Copyright © 2009-2022. Redwood Software Inc. All rights reserved.